# Page control

<!-- badges -->

This control is designed to be a drop-in replacement for `UIPageControl`, with a user experience
influenced by Material Design specifications for animation and layout. The API methods are the
same as a `UIPageControl`, with the addition of a few key methods required to achieve the
desired animation of the control.

<div class="article__asset article__asset--screenshot">
  <img src="docs/assets/pagecontrol.gif" alt="An animation demonstrating a page control alternating between three pages." width="190">
</div>

<!-- design-and-api -->

<!-- toc -->

- - -

## Overview

<img src="docs/assets/MDCPageControl_screenshot-1.png" alt="screenshot-1" width="375">
<!--{: .article__asset.article__asset--screenshot }-->
Page control showing current page in resting state.

<img src="docs/assets/MDCPageControl_screenshot-2.png" alt="screenshot-2" width="375">
<!--{: .article__asset.article__asset--screenshot }-->
Page control showing animated track with current page indicator positioned along the track.

<img src="docs/assets/MDCPageControl_screenshot-3.png" alt="screenshot-3" width="375">
<!--{: .article__asset.article__asset--screenshot }-->
Page control showing new current page.

## Installation

- [Typical installation](../../../docs/component-installation.md)

## Usage

- [Typical use](typical-use.md)
- [Differences from UIPageControl](differences-from-uipagecontrol.md)

## Extensions

- [Color Theming](color-theming.md)
