// Copyright 2016-present the Material Components for iOS authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

import MaterialComponents.MaterialPalettes

class PalettesStandardExampleViewController: PalettesExampleViewController {
  convenience init() {
    self.init(style: .grouped)
    self.palettes = [
      ("Red", .red),
      ("Pink", .pink),
      ("Purple", .purple),
      ("Deep Purple", .deepPurple),
      ("Indigo", .indigo),
      ("Blue", .blue),
      ("Light Blue", .lightBlue),
      ("Cyan", .cyan),
      ("Teal", .teal),
      ("Green", .green),
      ("Light Green", .lightGreen),
      ("Lime", .lime),
      ("Yellow", .yellow),
      ("Amber", .amber),
      ("Orange", .orange),
      ("Deep Orange", .deepOrange),
      ("Brown", .brown),
      ("Grey", .grey),
      ("Blue Grey", .blueGrey)
    ]
  }
}

// MARK: - Catalog by convention
extension PalettesStandardExampleViewController {

  @objc class func catalogMetadata() -> [String: Any] {
    return [
      "breadcrumbs": ["Palettes", "Standard Palettes"],
      "description": "The Palettes component provides sets of reference colors that work "
        + "well together.",
      "primaryDemo": true,
      "presentable": true,
    ]
  }
}
